<?php
/**
 * @file
 * one.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function one_field_group_info() {
  $export = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_owps_site_tags|node|owps_site_content|form';
  $field_group->group_name = 'group_owps_site_tags';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'owps_site_content';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Add/Edit Tags',
    'weight' => '5',
    'children' => array(
      0 => 'field_owps_site_keywords',
      1 => 'field_owps_site_grouped_by',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => '',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_owps_site_tags|node|owps_site_content|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_owps_tab_date|node|owps_site_content|form';
  $field_group->group_name = 'group_owps_tab_date';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'owps_site_content';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Add/Edit Date',
    'weight' => '3',
    'children' => array(
      0 => 'field_owps_site_date',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'label' => 'Add/Edit Date',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'closed',
    ),
  );
  $export['group_owps_tab_date|node|owps_site_content|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_owps_tab_location|node|owps_site_content|form';
  $field_group->group_name = 'group_owps_tab_location';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'owps_site_content';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Add/Edit Location',
    'weight' => '4',
    'children' => array(
      0 => 'field_owps_site_location',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => '',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_owps_tab_location|node|owps_site_content|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_owps_tab_media|node|owps_site_content|form';
  $field_group->group_name = 'group_owps_tab_media';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'owps_site_content';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Add/Edit Media',
    'weight' => '2',
    'children' => array(
      0 => 'field_owps_site_media',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'label' => 'Add/Edit Media',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_owps_tab_media|node|owps_site_content|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_owps_tab_text|node|owps_site_content|form';
  $field_group->group_name = 'group_owps_tab_text';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'owps_site_content';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Add/Edit Text',
    'weight' => '1',
    'children' => array(
      0 => 'body',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'label' => 'Add/Edit Text',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_owps_tab_text|node|owps_site_content|form'] = $field_group;

  return $export;
}
